ata_sg_init_one
Prev | Chapter 4. libata Library | Next

## Name

ata_sg_init_one — Associate command with memory buffer

## Synopsis

`void ata_sg_init_one (` | struct ata_queued_cmd * | qc,
| void * | buf,
| unsigned int | buflen`)`;

## Arguments

`qc`

  Command to be associated

`buf`

  Memory buffer

`buflen`

  Length of memory buffer, in bytes.

## Description

Initialize the data-related elements of queued_cmd `qc` to point to a single memory buffer, `buf` of byte length `buflen`.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_dumb_qc_prep | Home | ata_sg_init